IdentificationCriteriaByIdRefImplVersion (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union

## Interface IdentificationCriteriaByIdRefImplVersion

- All Superinterfaces:
    IdentificationCriteria
  All Known Implementing Classes:
    IdentificationCriteriaByIdRefImplVersionImpl

      public interface IdentificationCriteriaByIdRefImplVersion
      extends IdentificationCriteria

  Specifies a criteria for matching an identification by its reference implementation version, also known as its toolkit version.

  See Also:
    `Identification.getRefImplVersion()`, `ProductVersion`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProductVersion` | `getReferenceImplementationVersion()` Returns the product version of this identification criteria.
    `void` | `setReferenceImplementationVersion(ProductVersion referenceImplementationVersion)` Sets the product version of this identification criteria.

    - ### Methods inherited from interface tv.amwa.maj.union.IdentificationCriteria

      `getIdentificationCriteriaType`

- - ### Method Detail

    - #### getReferenceImplementationVersion

          ProductVersion getReferenceImplementationVersion()

      Returns the product version of this identification criteria.

      Returns:
        Product version of this identification criteria.

    - #### setReferenceImplementationVersion

          void setReferenceImplementationVersion(ProductVersion referenceImplementationVersion)
                                          throws NullPointerException

      Sets the product version of this identification criteria.

      Parameters:
        `referenceImplementationVersion` - Product version of this identification criteria.
      Throws:
        `NullPointerException` - The given product version is `null`.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.